# Super Sitemap

There are plenty of great sitemap options for use with Drupal. However this can often fail to scale well for large or enterprise Drupal installations. Additionally, they are usually tightly coupled with the Drupal entity system with the ability to add custom links after the fact. This attempts to resolve that by using external systems to query for content and output standardized sitemaps for use with search engines.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/super_sitemap).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/super_sitemap).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.

Though in order to integrate with a search backend, a module like [Search API](https://www.drupal.org/project/search_api) would be useful.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

This module having dependency with simple_sitemap, So please update the simple_sitemap to the latest version.

## Configuration

After enable the module, you can create conditional fields on /admin/config/search/super-sitemap.


## Maintainers

- Melissa Bent - [merauluka](https://www.drupal.org/u/merauluka)
