<?php

namespace Drupal\super_sitemap\Event;

use Drupal\Component\EventDispatcher\Event;
use Drupal\super_sitemap\SuperSitemapDataSourceInterface;

class SuperSitemapDataSourceResponseEvent extends Event {

  /**
   * The data source entity.
   *
   * @var \Drupal\super_sitemap\SuperSitemapDataSourceInterface
   */
  protected $dataSource;

  /**
   * The response body in array format from the data source request.
   *
   * @var array
   */
  protected array $results;

  /**
   * Constructs ConfigImporterEvent.
   *
   * @param \Drupal\super_sitemap\SuperSitemapDataSourceInterface $data_source
   *   A data source entity.
   * @param array $results
   *   The response body in array format from the data source request.
   */
  public function __construct(
    SuperSitemapDataSourceInterface $data_source,
    array &$results
  ) {
    $this->dataSource = $data_source;
    $this->results = &$results;
  }

  /**
   * Get the results for this request.
   *
   * @return array
   *   The array of the results set.
   */
  public function getResults() {
    return $this->results;
  }

  /**
   * Set the results for this request.
   *
   * @param array $results
   *   The array of the results set.
   */
  public function setResults(array $results) {
    $this->results = $results;
  }

}
