<?php

namespace Drupal\super_sitemap\Plugin\Action;

use Drupal\Core\Action\ActionBase;
use Drupal\Core\Session\AccountInterface;

/**
 * Provides a 'DeleteCustomUrl' action.
 *
 * @Action(
 *   id = "super_sitemap_custom_url_delete",
 *   label = @Translation("Delete custom url"),
 *   type = "super_sitemap_custom_url",
 * )
 */
class DeleteCustomUrl extends ActionBase {

  /**
   * {@inheritdoc}
   */
  public function execute($entity = NULL) {
    // Check if the entity exists and delete it.
    if ($entity) {
      $entity->delete();
    }
  }

  /**
   * {@inheritdoc}
   */
  public function access($object, ?AccountInterface $account = NULL, $return_as_object = FALSE) {
    return $object->access('delete', $account, $return_as_object);
  }

}
