<?php

namespace Drupal\super_sitemap\Plugin\Action;

use Drupal\Core\Action\ActionBase;
use Drupal\Core\Session\AccountInterface;

/**
 * Provides a 'PublishCustomUrl' action.
 *
 * @Action(
 *   id = "super_sitemap_custom_url_publish",
 *   label = @Translation("Publish custom url"),
 *   type = "super_sitemap"
 * )
 */
class PublishCustomUrl extends ActionBase {

  /**
   * {@inheritdoc}
   */
  public function execute($entity = NULL) {
    $entity->set('status', TRUE);
    $entity->save();
  }

  /**
   * {@inheritdoc}
   */
  public function access($object, ?AccountInterface $account = NULL, $return_as_object = FALSE) {
    return $object->access('update', $account, $return_as_object);
  }

}
