<?php

declare(strict_types=1);

namespace Drupal\super_sitemap;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface defining a super sitemap data source entity type.
 */
interface SuperSitemapDataSourceInterface extends ConfigEntityInterface {

  /**
   * Get the data source description.
   */
  public function getDescription();

  /**
   * Get the data source sitemap.
   */
  public function getSitemap();

  /**
   * Get the data source xml_source.
   */
  public function getXmlSource();

}
