<?php

declare(strict_types=1);

namespace Drupal\super_sitemap;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of super sitemap data sources.
 */
final class SuperSitemapDataSourceListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader(): array {
    $header['label'] = $this->t('Label');
    $header['description'] = $this->t('Description');
    $header['sitemap'] = $this->t('Sitemap');
    $header['status'] = $this->t('Status');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity): array {
    /** @var \Drupal\super_sitemap\SuperSitemapDataSourceInterface $entity */
    $row['label'] = $entity->label();
    $row['description'] = $entity->get('description');
    $row['sitemap'] = $entity->get('sitemap');
    $row['status'] = $entity->status() ? $this->t('Enabled') : $this->t('Disabled');
    return $row + parent::buildRow($entity);
  }

}
